summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.travis.yml10
-rwxr-xr-xtools/travis-push.sh13
2 files changed, 14 insertions, 9 deletions
diff --git a/.travis.yml b/.travis.yml
index 50f05cd..d6024c3 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -3,15 +3,7 @@ sudo: false
script:
- make versions.json
- - git config --global user.email 'mxebot@gmail.com'
- - git config --global user.name 'MXEBot as Travis CI'
- - git config --global push.default simple
- - git config credential.helper "store --file=.git/credentials"
- - echo "https://${GH_TOKEN}:@github.com" > .git/credentials
- - git remote set-url origin 'https://github.com/mxe/mxe.git'
- - git commit -a -m 'Update versions.json' || true
- - git push origin HEAD:master
- - git push origin HEAD:gh-pages
+ - if [ "$GH_TOKEN" != "" ]; then ./tools/travis-push.sh; fi
env:
global:
diff --git a/tools/travis-push.sh b/tools/travis-push.sh
new file mode 100755
index 0000000..8aa02c0
--- /dev/null
+++ b/tools/travis-push.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -ue
+
+git config --global user.email 'mxebot@gmail.com'
+git config --global user.name 'MXEBot as Travis CI'
+git config --global push.default simple
+git config credential.helper "store --file=.git/credentials"
+echo "https://${GH_TOKEN}:@github.com" > .git/credentials
+git remote set-url origin 'https://github.com/mxe/mxe.git'
+git commit -a -m 'Update versions.json' || true
+git push origin HEAD:master
+git push origin HEAD:gh-pages